Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class EclipseWtpPlugin

    java.lang.Object
      org.gradle.plugins.ide.internal.IdePlugin
          org.gradle.plugins.ide.eclipse.EclipseWtpPlugin

    class EclipseWtpPlugin
    extends org.gradle.plugins.ide.internal.IdePlugin

@author: Szczepan Faber, created at: 6/28/11

Field Summary

Fields inherited from class org.gradle.plugins.ide.internal.IdePlugin
__timeStamp, __timeStamp__239_neverHappen1319515400612

Property Summary
`static java.lang.String` | `ECLIPSE_WTP_COMPONENT_TASK_NAME`
`static java.lang.String` | `ECLIPSE_WTP_FACET_TASK_NAME`
`EclipseWtp` | `eclipseWtpModel`

Method Summary
`protected java.lang.String` | `getLifecycleTaskName()`
`protected void` | `onApply(Project project)`

Methods inherited from class org.gradle.plugins.ide.internal.IdePlugin
org.gradle.plugins.ide.internal.IdePlugin#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#getProperty(java.lang.String), org.gradle.plugins.ide.internal.IdePlugin#getMetaClass(), org.gradle.plugins.ide.internal.IdePlugin#this, org.gradle.plugins.ide.internal.IdePlugin#this, org.gradle.plugins.ide.internal.IdePlugin#this, org.gradle.plugins.ide.internal.IdePlugin#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.IdePlugin#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#__, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#super, org.gradle.plugins.ide.internal.IdePlugin#apply(org.gradle.api.Project), org.gradle.plugins.ide.internal.IdePlugin#apply(java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#getCleanTask(), org.gradle.plugins.ide.internal.IdePlugin#getCleanTask(org.gradle.api.Task), org.gradle.plugins.ide.internal.IdePlugin#getLifecycleTask(), org.gradle.plugins.ide.internal.IdePlugin#wait(long), org.gradle.plugins.ide.internal.IdePlugin#wait(long, int), org.gradle.plugins.ide.internal.IdePlugin#wait(), org.gradle.plugins.ide.internal.IdePlugin#equals(java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#toString(), org.gradle.plugins.ide.internal.IdePlugin#hashCode(), org.gradle.plugins.ide.internal.IdePlugin#getClass(), org.gradle.plugins.ide.internal.IdePlugin#notify(), org.gradle.plugins.ide.internal.IdePlugin#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ECLIPSE_WTP_COMPONENT_TASK_NAME

    static final java.lang.String ECLIPSE_WTP_COMPONENT_TASK_NAME

### ECLIPSE_WTP_FACET_TASK_NAME

    static final java.lang.String ECLIPSE_WTP_FACET_TASK_NAME

### eclipseWtpModel

    EclipseWtp eclipseWtpModel

Method Detail

### getLifecycleTaskName

    @Override
    protected java.lang.String getLifecycleTaskName()

### onApply

    @Override
    protected void onApply(Project project)

Groovy Documentation